Makefile.in 29 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892
  1. # Makefile.in generated by automake 1.11.6 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  4. # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
  5. # Foundation, Inc.
  6. # This Makefile.in is free software; the Free Software Foundation
  7. # gives unlimited permission to copy and/or distribute it,
  8. # with or without modifications, as long as this notice is preserved.
  9. # This program is distributed in the hope that it will be useful,
  10. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  11. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  12. # PARTICULAR PURPOSE.
  13. @SET_MAKE@
  14. VPATH = @srcdir@
  15. am__make_dryrun = \
  16. { \
  17. am__dry=no; \
  18. case $$MAKEFLAGS in \
  19. *\\[\ \ ]*) \
  20. echo 'am--echo: ; @echo "AM" OK' | $(MAKE) -f - 2>/dev/null \
  21. | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
  22. *) \
  23. for am__flg in $$MAKEFLAGS; do \
  24. case $$am__flg in \
  25. *=*|--*) ;; \
  26. *n*) am__dry=yes; break;; \
  27. esac; \
  28. done;; \
  29. esac; \
  30. test $$am__dry = yes; \
  31. }
  32. pkgdatadir = $(datadir)/@PACKAGE@
  33. pkgincludedir = $(includedir)/@PACKAGE@
  34. pkglibdir = $(libdir)/@PACKAGE@
  35. pkglibexecdir = $(libexecdir)/@PACKAGE@
  36. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  37. install_sh_DATA = $(install_sh) -c -m 644
  38. install_sh_PROGRAM = $(install_sh) -c
  39. install_sh_SCRIPT = $(install_sh) -c
  40. INSTALL_HEADER = $(INSTALL_DATA)
  41. transform = $(program_transform_name)
  42. NORMAL_INSTALL = :
  43. PRE_INSTALL = :
  44. POST_INSTALL = :
  45. NORMAL_UNINSTALL = :
  46. PRE_UNINSTALL = :
  47. POST_UNINSTALL = :
  48. EXTRA_PROGRAMS =
  49. sbin_PROGRAMS = pptpd$(EXEEXT) pptpctrl$(EXEEXT) bcrelay$(EXEEXT)
  50. subdir = .
  51. DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
  52. $(srcdir)/Makefile.in $(srcdir)/config.h.in \
  53. $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
  54. TODO acconfig.h install-sh missing mkinstalldirs
  55. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  56. am__aclocal_m4_deps = $(top_srcdir)/configure.in
  57. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  58. $(ACLOCAL_M4)
  59. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  60. configure.lineno config.status.lineno
  61. mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
  62. CONFIG_HEADER = config.h
  63. CONFIG_CLEAN_FILES =
  64. CONFIG_CLEAN_VPATH_FILES =
  65. am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man5dir)" \
  66. "$(DESTDIR)$(man8dir)"
  67. PROGRAMS = $(sbin_PROGRAMS)
  68. am_bcrelay_OBJECTS = bcrelay.$(OBJEXT)
  69. bcrelay_OBJECTS = $(am_bcrelay_OBJECTS)
  70. bcrelay_LDADD = $(LDADD)
  71. am_pptpctrl_OBJECTS = pqueue.$(OBJEXT) pptpctrl.$(OBJEXT) \
  72. ctrlpacket.$(OBJEXT) inststr.$(OBJEXT) compat.$(OBJEXT) \
  73. pptpgre.$(OBJEXT) ppphdlc.$(OBJEXT)
  74. pptpctrl_OBJECTS = $(am_pptpctrl_OBJECTS)
  75. am__DEPENDENCIES_1 =
  76. pptpctrl_DEPENDENCIES = $(am__DEPENDENCIES_1)
  77. am_pptpd_OBJECTS = pqueue.$(OBJEXT) pptpd.$(OBJEXT) \
  78. configfile.$(OBJEXT) pptpmanager.$(OBJEXT) compat.$(OBJEXT) \
  79. inststr.$(OBJEXT) getopt.$(OBJEXT) getopt1.$(OBJEXT)
  80. pptpd_OBJECTS = $(am_pptpd_OBJECTS)
  81. pptpd_DEPENDENCIES = $(am__DEPENDENCIES_1)
  82. DEFAULT_INCLUDES = -I.@am__isrc@
  83. depcomp =
  84. am__depfiles_maybe =
  85. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  86. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  87. CCLD = $(CC)
  88. LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  89. SOURCES = $(bcrelay_SOURCES) $(pptpctrl_SOURCES) $(pptpd_SOURCES)
  90. DIST_SOURCES = $(bcrelay_SOURCES) $(pptpctrl_SOURCES) $(pptpd_SOURCES)
  91. am__can_run_installinfo = \
  92. case $$AM_UPDATE_INFO_DIR in \
  93. n|no|NO) false;; \
  94. *) (install-info --version) >/dev/null 2>&1;; \
  95. esac
  96. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  97. am__vpath_adj = case $$p in \
  98. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  99. *) f=$$p;; \
  100. esac;
  101. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  102. am__install_max = 40
  103. am__nobase_strip_setup = \
  104. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  105. am__nobase_strip = \
  106. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  107. am__nobase_list = $(am__nobase_strip_setup); \
  108. for p in $$list; do echo "$$p $$p"; done | \
  109. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  110. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  111. if (++n[$$2] == $(am__install_max)) \
  112. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  113. END { for (dir in files) print dir, files[dir] }'
  114. am__base_list = \
  115. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  116. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  117. am__uninstall_files_from_dir = { \
  118. test -z "$$files" \
  119. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  120. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  121. $(am__cd) "$$dir" && rm -f $$files; }; \
  122. }
  123. man5dir = $(mandir)/man5
  124. man8dir = $(mandir)/man8
  125. NROFF = nroff
  126. MANS = $(man_MANS)
  127. ETAGS = etags
  128. CTAGS = ctags
  129. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  130. distdir = $(PACKAGE)-$(VERSION)
  131. top_distdir = $(distdir)
  132. am__remove_distdir = \
  133. if test -d "$(distdir)"; then \
  134. find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  135. && rm -rf "$(distdir)" \
  136. || { sleep 5 && rm -rf "$(distdir)"; }; \
  137. else :; fi
  138. DIST_ARCHIVES = $(distdir).tar.gz
  139. GZIP_ENV = --best
  140. distuninstallcheck_listfiles = find . -type f -print
  141. am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  142. | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  143. distcleancheck_listfiles = find . -type f -print
  144. ACLOCAL = @ACLOCAL@
  145. AMTAR = @AMTAR@
  146. AUTOCONF = @AUTOCONF@
  147. AUTOHEADER = @AUTOHEADER@
  148. AUTOMAKE = @AUTOMAKE@
  149. AWK = @AWK@
  150. CC = @CC@
  151. CCDEPMODE = @CCDEPMODE@
  152. CFLAGS = -O2 -fno-builtin -Wall -DSBINDIR='"$(sbindir)"'
  153. CPP = @CPP@
  154. CPPFLAGS = @CPPFLAGS@
  155. CYGPATH_W = @CYGPATH_W@
  156. DEFS = @DEFS@
  157. DEPDIR = @DEPDIR@
  158. ECHO_C = @ECHO_C@
  159. ECHO_N = @ECHO_N@
  160. ECHO_T = @ECHO_T@
  161. EGREP = @EGREP@
  162. EXEEXT = @EXEEXT@
  163. GREP = @GREP@
  164. HAVE_OPENPTY = @HAVE_OPENPTY@
  165. INSTALL = @INSTALL@
  166. INSTALL_DATA = @INSTALL_DATA@
  167. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  168. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  169. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  170. LDFLAGS = @LDFLAGS@
  171. LIBOBJS = @LIBOBJS@
  172. LIBS = @LIBS@
  173. LN_S = @LN_S@
  174. LTLIBOBJS = @LTLIBOBJS@
  175. MAKEINFO = @MAKEINFO@
  176. MKDIR_P = @MKDIR_P@
  177. OBJEXT = @OBJEXT@
  178. PACKAGE = @PACKAGE@
  179. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  180. PACKAGE_NAME = @PACKAGE_NAME@
  181. PACKAGE_STRING = @PACKAGE_STRING@
  182. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  183. PACKAGE_URL = @PACKAGE_URL@
  184. PACKAGE_VERSION = @PACKAGE_VERSION@
  185. PATH_SEPARATOR = @PATH_SEPARATOR@
  186. RANLIB = @RANLIB@
  187. SET_MAKE = @SET_MAKE@
  188. SHELL = @SHELL@
  189. STRIP = @STRIP@
  190. VERSION = @VERSION@
  191. XTRALIBS_CTRL = @XTRALIBS_CTRL@
  192. XTRALIBS_MGR = @XTRALIBS_MGR@
  193. XTRA_PROG = @XTRA_PROG@
  194. abs_builddir = @abs_builddir@
  195. abs_srcdir = @abs_srcdir@
  196. abs_top_builddir = @abs_top_builddir@
  197. abs_top_srcdir = @abs_top_srcdir@
  198. ac_ct_CC = @ac_ct_CC@
  199. am__include = @am__include@
  200. am__leading_dot = @am__leading_dot@
  201. am__quote = @am__quote@
  202. am__tar = @am__tar@
  203. am__untar = @am__untar@
  204. bindir = @bindir@
  205. build_alias = @build_alias@
  206. builddir = @builddir@
  207. datadir = @datadir@
  208. datarootdir = @datarootdir@
  209. docdir = @docdir@
  210. dvidir = @dvidir@
  211. exec_prefix = @exec_prefix@
  212. host_alias = @host_alias@
  213. htmldir = @htmldir@
  214. includedir = @includedir@
  215. infodir = @infodir@
  216. install_sh = @install_sh@
  217. libdir = @libdir@
  218. libexecdir = @libexecdir@
  219. localedir = @localedir@
  220. localstatedir = @localstatedir@
  221. mandir = @mandir@
  222. mkdir_p = @mkdir_p@
  223. oldincludedir = @oldincludedir@
  224. pdfdir = @pdfdir@
  225. prefix = @prefix@
  226. program_transform_name = @program_transform_name@
  227. psdir = @psdir@
  228. sbindir = @sbindir@
  229. sharedstatedir = @sharedstatedir@
  230. srcdir = @srcdir@
  231. sysconfdir = @sysconfdir@
  232. target_alias = @target_alias@
  233. top_build_prefix = @top_build_prefix@
  234. top_builddir = @top_builddir@
  235. top_srcdir = @top_srcdir@
  236. # We have our own, simpler dependencies stuff in 'reconf'
  237. AUTOMAKE_OPTIONS = no-dependencies foreign
  238. INCLUDES = -I.
  239. #CFLAGS = -O2 -fno-builtin -Wall -ansi -DSBINDIR='"$(sbindir)"'
  240. #CFLAGS = -O2 -fno-builtin -Wall -ansi -pedantic -Wmissing-prototypes -Werror -DSBINDIR='"$(sbindir)"'
  241. man_MANS = pptpctrl.8 pptpd.8 pptpd.conf.5 bcrelay.8
  242. EXTRA_DIST = \
  243. html README* ChangeLog NEWS TODO $(man_MANS) \
  244. samples/chap-secrets samples/options.pptpd samples/pptpd.conf \
  245. Makefile.uClinux config.embed.h version reconf \
  246. tools/pptp-portslave tools/vpnstats tools/vpnstats.pl tools/vpnuser \
  247. pptpd.init pptpd.spec makepackage \
  248. plugins/Makefile plugins/*.h plugins/*.c \
  249. debian/README.debian debian/changelog debian/conffiles debian/config \
  250. debian/control debian/copyright debian/dirs debian/docs \
  251. debian/examples debian/pptpd-options debian/pptpd.conf \
  252. debian/pptpd.init debian/pptpdconfig.pl debian/rules debian/templates \
  253. debian/po/POTFILES.in debian/po/fr.po debian/po/pt_BR.po \
  254. debian/po/templates.pot
  255. # Header files are only used to determine what to put in a distribution, not
  256. # for dependencies, so just attribute them all to pptpd.
  257. pptpd_SOURCES = \
  258. pqueue.c pptpd.c configfile.c pptpmanager.c compat.c inststr.c getopt.c getopt1.c \
  259. pqueue.h compat.h configfile.h ctrlpacket.h defaults.h inststr.h our_getopt.h \
  260. our_syslog.h ppphdlc.h pptpctrl.h pptpdefs.h pptpgre.h pptpmanager.h
  261. pptpctrl_SOURCES = \
  262. pqueue.c pptpctrl.c ctrlpacket.c inststr.c compat.c pptpgre.c ppphdlc.c
  263. pptpd_LDADD = $(XTRALIBS_MGR)
  264. pptpctrl_LDADD = $(XTRALIBS_CTRL)
  265. bcrelay_SOURCES = bcrelay.c defaults.h our_syslog.h our_getopt.h
  266. subdirs = plugins
  267. all: config.h
  268. $(MAKE) $(AM_MAKEFLAGS) all-am
  269. .SUFFIXES:
  270. .SUFFIXES: .c .o .obj
  271. am--refresh: Makefile
  272. @:
  273. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  274. @for dep in $?; do \
  275. case '$(am__configure_deps)' in \
  276. *$$dep*) \
  277. echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  278. $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  279. && exit 0; \
  280. exit 1;; \
  281. esac; \
  282. done; \
  283. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  284. $(am__cd) $(top_srcdir) && \
  285. $(AUTOMAKE) --foreign Makefile
  286. .PRECIOUS: Makefile
  287. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  288. @case '$?' in \
  289. *config.status*) \
  290. echo ' $(SHELL) ./config.status'; \
  291. $(SHELL) ./config.status;; \
  292. *) \
  293. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  294. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  295. esac;
  296. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  297. $(SHELL) ./config.status --recheck
  298. $(top_srcdir)/configure: $(am__configure_deps)
  299. $(am__cd) $(srcdir) && $(AUTOCONF)
  300. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  301. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  302. $(am__aclocal_m4_deps):
  303. config.h: stamp-h1
  304. @if test ! -f $@; then rm -f stamp-h1; else :; fi
  305. @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
  306. stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  307. @rm -f stamp-h1
  308. cd $(top_builddir) && $(SHELL) ./config.status config.h
  309. $(srcdir)/config.h.in: $(am__configure_deps) $(top_srcdir)/acconfig.h
  310. ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  311. rm -f stamp-h1
  312. touch $@
  313. distclean-hdr:
  314. -rm -f config.h stamp-h1
  315. install-sbinPROGRAMS: $(sbin_PROGRAMS)
  316. @$(NORMAL_INSTALL)
  317. @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
  318. if test -n "$$list"; then \
  319. echo " $(MKDIR_P) '$(DESTDIR)$(sbindir)'"; \
  320. $(MKDIR_P) "$(DESTDIR)$(sbindir)" || exit 1; \
  321. fi; \
  322. for p in $$list; do echo "$$p $$p"; done | \
  323. sed 's/$(EXEEXT)$$//' | \
  324. while read p p1; do if test -f $$p; \
  325. then echo "$$p"; echo "$$p"; else :; fi; \
  326. done | \
  327. sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
  328. -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  329. sed 'N;N;N;s,\n, ,g' | \
  330. $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  331. { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  332. if ($$2 == $$4) files[d] = files[d] " " $$1; \
  333. else { print "f", $$3 "/" $$4, $$1; } } \
  334. END { for (d in files) print "f", d, files[d] }' | \
  335. while read type dir files; do \
  336. if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  337. test -z "$$files" || { \
  338. echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
  339. $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
  340. } \
  341. ; done
  342. uninstall-sbinPROGRAMS:
  343. @$(NORMAL_UNINSTALL)
  344. @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
  345. files=`for p in $$list; do echo "$$p"; done | \
  346. sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  347. -e 's/$$/$(EXEEXT)/' `; \
  348. test -n "$$list" || exit 0; \
  349. echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
  350. cd "$(DESTDIR)$(sbindir)" && rm -f $$files
  351. clean-sbinPROGRAMS:
  352. -test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
  353. bcrelay$(EXEEXT): $(bcrelay_OBJECTS) $(bcrelay_DEPENDENCIES) $(EXTRA_bcrelay_DEPENDENCIES)
  354. @rm -f bcrelay$(EXEEXT)
  355. $(LINK) $(bcrelay_OBJECTS) $(bcrelay_LDADD) $(LIBS)
  356. pptpctrl$(EXEEXT): $(pptpctrl_OBJECTS) $(pptpctrl_DEPENDENCIES) $(EXTRA_pptpctrl_DEPENDENCIES)
  357. @rm -f pptpctrl$(EXEEXT)
  358. $(LINK) $(pptpctrl_OBJECTS) $(pptpctrl_LDADD) $(LIBS)
  359. pptpd$(EXEEXT): $(pptpd_OBJECTS) $(pptpd_DEPENDENCIES) $(EXTRA_pptpd_DEPENDENCIES)
  360. @rm -f pptpd$(EXEEXT)
  361. $(LINK) $(pptpd_OBJECTS) $(pptpd_LDADD) $(LIBS)
  362. mostlyclean-compile:
  363. -rm -f *.$(OBJEXT)
  364. distclean-compile:
  365. -rm -f *.tab.c
  366. .c.o:
  367. $(COMPILE) -c $<
  368. .c.obj:
  369. $(COMPILE) -c `$(CYGPATH_W) '$<'`
  370. install-man5: $(man_MANS)
  371. @$(NORMAL_INSTALL)
  372. @list1=''; \
  373. list2='$(man_MANS)'; \
  374. test -n "$(man5dir)" \
  375. && test -n "`echo $$list1$$list2`" \
  376. || exit 0; \
  377. echo " $(MKDIR_P) '$(DESTDIR)$(man5dir)'"; \
  378. $(MKDIR_P) "$(DESTDIR)$(man5dir)" || exit 1; \
  379. { for i in $$list1; do echo "$$i"; done; \
  380. if test -n "$$list2"; then \
  381. for i in $$list2; do echo "$$i"; done \
  382. | sed -n '/\.5[a-z]*$$/p'; \
  383. fi; \
  384. } | while read p; do \
  385. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  386. echo "$$d$$p"; echo "$$p"; \
  387. done | \
  388. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
  389. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  390. sed 'N;N;s,\n, ,g' | { \
  391. list=; while read file base inst; do \
  392. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  393. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
  394. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst" || exit $$?; \
  395. fi; \
  396. done; \
  397. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  398. while read files; do \
  399. test -z "$$files" || { \
  400. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man5dir)'"; \
  401. $(INSTALL_DATA) $$files "$(DESTDIR)$(man5dir)" || exit $$?; }; \
  402. done; }
  403. uninstall-man5:
  404. @$(NORMAL_UNINSTALL)
  405. @list=''; test -n "$(man5dir)" || exit 0; \
  406. files=`{ for i in $$list; do echo "$$i"; done; \
  407. l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  408. sed -n '/\.5[a-z]*$$/p'; \
  409. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
  410. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  411. dir='$(DESTDIR)$(man5dir)'; $(am__uninstall_files_from_dir)
  412. install-man8: $(man_MANS)
  413. @$(NORMAL_INSTALL)
  414. @list1=''; \
  415. list2='$(man_MANS)'; \
  416. test -n "$(man8dir)" \
  417. && test -n "`echo $$list1$$list2`" \
  418. || exit 0; \
  419. echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  420. $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  421. { for i in $$list1; do echo "$$i"; done; \
  422. if test -n "$$list2"; then \
  423. for i in $$list2; do echo "$$i"; done \
  424. | sed -n '/\.8[a-z]*$$/p'; \
  425. fi; \
  426. } | while read p; do \
  427. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  428. echo "$$d$$p"; echo "$$p"; \
  429. done | \
  430. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  431. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  432. sed 'N;N;s,\n, ,g' | { \
  433. list=; while read file base inst; do \
  434. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  435. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  436. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  437. fi; \
  438. done; \
  439. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  440. while read files; do \
  441. test -z "$$files" || { \
  442. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  443. $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  444. done; }
  445. uninstall-man8:
  446. @$(NORMAL_UNINSTALL)
  447. @list=''; test -n "$(man8dir)" || exit 0; \
  448. files=`{ for i in $$list; do echo "$$i"; done; \
  449. l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  450. sed -n '/\.8[a-z]*$$/p'; \
  451. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  452. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  453. dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  454. ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  455. list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  456. unique=`for i in $$list; do \
  457. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  458. done | \
  459. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  460. END { if (nonempty) { for (i in files) print i; }; }'`; \
  461. mkid -fID $$unique
  462. tags: TAGS
  463. TAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  464. $(TAGS_FILES) $(LISP)
  465. set x; \
  466. here=`pwd`; \
  467. list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  468. unique=`for i in $$list; do \
  469. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  470. done | \
  471. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  472. END { if (nonempty) { for (i in files) print i; }; }'`; \
  473. shift; \
  474. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  475. test -n "$$unique" || unique=$$empty_fix; \
  476. if test $$# -gt 0; then \
  477. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  478. "$$@" $$unique; \
  479. else \
  480. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  481. $$unique; \
  482. fi; \
  483. fi
  484. ctags: CTAGS
  485. CTAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  486. $(TAGS_FILES) $(LISP)
  487. list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  488. unique=`for i in $$list; do \
  489. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  490. done | \
  491. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  492. END { if (nonempty) { for (i in files) print i; }; }'`; \
  493. test -z "$(CTAGS_ARGS)$$unique" \
  494. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  495. $$unique
  496. GTAGS:
  497. here=`$(am__cd) $(top_builddir) && pwd` \
  498. && $(am__cd) $(top_srcdir) \
  499. && gtags -i $(GTAGS_ARGS) "$$here"
  500. distclean-tags:
  501. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  502. distdir: $(DISTFILES)
  503. @list='$(MANS)'; if test -n "$$list"; then \
  504. list=`for p in $$list; do \
  505. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  506. if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
  507. if test -n "$$list" && \
  508. grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
  509. echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
  510. grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/ /' >&2; \
  511. echo " to fix them, install help2man, remove and regenerate the man pages;" >&2; \
  512. echo " typically \`make maintainer-clean' will remove them" >&2; \
  513. exit 1; \
  514. else :; fi; \
  515. else :; fi
  516. $(am__remove_distdir)
  517. test -d "$(distdir)" || mkdir "$(distdir)"
  518. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  519. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  520. list='$(DISTFILES)'; \
  521. dist_files=`for file in $$list; do echo $$file; done | \
  522. sed -e "s|^$$srcdirstrip/||;t" \
  523. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  524. case $$dist_files in \
  525. */*) $(MKDIR_P) `echo "$$dist_files" | \
  526. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  527. sort -u` ;; \
  528. esac; \
  529. for file in $$dist_files; do \
  530. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  531. if test -d $$d/$$file; then \
  532. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  533. if test -d "$(distdir)/$$file"; then \
  534. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  535. fi; \
  536. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  537. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  538. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  539. fi; \
  540. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  541. else \
  542. test -f "$(distdir)/$$file" \
  543. || cp -p $$d/$$file "$(distdir)/$$file" \
  544. || exit 1; \
  545. fi; \
  546. done
  547. -test -n "$(am__skip_mode_fix)" \
  548. || find "$(distdir)" -type d ! -perm -755 \
  549. -exec chmod u+rwx,go+rx {} \; -o \
  550. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  551. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  552. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  553. || chmod -R a+r "$(distdir)"
  554. dist-gzip: distdir
  555. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  556. $(am__remove_distdir)
  557. dist-bzip2: distdir
  558. tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  559. $(am__remove_distdir)
  560. dist-lzip: distdir
  561. tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  562. $(am__remove_distdir)
  563. dist-lzma: distdir
  564. tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
  565. $(am__remove_distdir)
  566. dist-xz: distdir
  567. tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  568. $(am__remove_distdir)
  569. dist-tarZ: distdir
  570. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  571. $(am__remove_distdir)
  572. dist-shar: distdir
  573. shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  574. $(am__remove_distdir)
  575. dist-zip: distdir
  576. -rm -f $(distdir).zip
  577. zip -rq $(distdir).zip $(distdir)
  578. $(am__remove_distdir)
  579. dist dist-all: distdir
  580. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  581. $(am__remove_distdir)
  582. # This target untars the dist file and tries a VPATH configuration. Then
  583. # it guarantees that the distribution is self-contained by making another
  584. # tarfile.
  585. distcheck: dist
  586. case '$(DIST_ARCHIVES)' in \
  587. *.tar.gz*) \
  588. GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
  589. *.tar.bz2*) \
  590. bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  591. *.tar.lzma*) \
  592. lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
  593. *.tar.lz*) \
  594. lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  595. *.tar.xz*) \
  596. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  597. *.tar.Z*) \
  598. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  599. *.shar.gz*) \
  600. GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
  601. *.zip*) \
  602. unzip $(distdir).zip ;;\
  603. esac
  604. chmod -R a-w $(distdir); chmod u+w $(distdir)
  605. mkdir $(distdir)/_build
  606. mkdir $(distdir)/_inst
  607. chmod a-w $(distdir)
  608. test -d $(distdir)/_build || exit 0; \
  609. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  610. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  611. && am__cwd=`pwd` \
  612. && $(am__cd) $(distdir)/_build \
  613. && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  614. $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  615. $(DISTCHECK_CONFIGURE_FLAGS) \
  616. && $(MAKE) $(AM_MAKEFLAGS) \
  617. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  618. && $(MAKE) $(AM_MAKEFLAGS) check \
  619. && $(MAKE) $(AM_MAKEFLAGS) install \
  620. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  621. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  622. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  623. distuninstallcheck \
  624. && chmod -R a-w "$$dc_install_base" \
  625. && ({ \
  626. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  627. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  628. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  629. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  630. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  631. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  632. && rm -rf "$$dc_destdir" \
  633. && $(MAKE) $(AM_MAKEFLAGS) dist \
  634. && rm -rf $(DIST_ARCHIVES) \
  635. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  636. && cd "$$am__cwd" \
  637. || exit 1
  638. $(am__remove_distdir)
  639. @(echo "$(distdir) archives ready for distribution: "; \
  640. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  641. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  642. distuninstallcheck:
  643. @test -n '$(distuninstallcheck_dir)' || { \
  644. echo 'ERROR: trying to run $@ with an empty' \
  645. '$$(distuninstallcheck_dir)' >&2; \
  646. exit 1; \
  647. }; \
  648. $(am__cd) '$(distuninstallcheck_dir)' || { \
  649. echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  650. exit 1; \
  651. }; \
  652. test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  653. || { echo "ERROR: files left after uninstall:" ; \
  654. if test -n "$(DESTDIR)"; then \
  655. echo " (check DESTDIR support)"; \
  656. fi ; \
  657. $(distuninstallcheck_listfiles) ; \
  658. exit 1; } >&2
  659. distcleancheck: distclean
  660. @if test '$(srcdir)' = . ; then \
  661. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  662. exit 1 ; \
  663. fi
  664. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  665. || { echo "ERROR: files left in build directory after distclean:" ; \
  666. $(distcleancheck_listfiles) ; \
  667. exit 1; } >&2
  668. check-am: all-am
  669. check: check-am
  670. all-am: Makefile $(PROGRAMS) $(MANS) config.h all-local
  671. installdirs:
  672. for dir in "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)"; do \
  673. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  674. done
  675. install: install-am
  676. install-exec: install-exec-am
  677. install-data: install-data-am
  678. uninstall: uninstall-am
  679. install-am: all-am
  680. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  681. installcheck: installcheck-am
  682. install-strip:
  683. if test -z '$(STRIP)'; then \
  684. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  685. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  686. install; \
  687. else \
  688. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  689. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  690. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  691. fi
  692. mostlyclean-generic:
  693. clean-generic:
  694. distclean-generic:
  695. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  696. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  697. maintainer-clean-generic:
  698. @echo "This command is intended for maintainers to use"
  699. @echo "it deletes files that may require special tools to rebuild."
  700. clean: clean-am
  701. clean-am: clean-generic clean-local clean-sbinPROGRAMS mostlyclean-am
  702. distclean: distclean-am
  703. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  704. -rm -f Makefile
  705. distclean-am: clean-am distclean-compile distclean-generic \
  706. distclean-hdr distclean-tags
  707. dvi: dvi-am
  708. dvi-am:
  709. html: html-am
  710. html-am:
  711. info: info-am
  712. info-am:
  713. install-data-am: install-man
  714. install-dvi: install-dvi-am
  715. install-dvi-am:
  716. install-exec-am: install-exec-local install-sbinPROGRAMS
  717. install-html: install-html-am
  718. install-html-am:
  719. install-info: install-info-am
  720. install-info-am:
  721. install-man: install-man5 install-man8
  722. install-pdf: install-pdf-am
  723. install-pdf-am:
  724. install-ps: install-ps-am
  725. install-ps-am:
  726. installcheck-am:
  727. maintainer-clean: maintainer-clean-am
  728. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  729. -rm -rf $(top_srcdir)/autom4te.cache
  730. -rm -f Makefile
  731. maintainer-clean-am: distclean-am maintainer-clean-generic
  732. mostlyclean: mostlyclean-am
  733. mostlyclean-am: mostlyclean-compile mostlyclean-generic
  734. pdf: pdf-am
  735. pdf-am:
  736. ps: ps-am
  737. ps-am:
  738. uninstall-am: uninstall-local uninstall-man uninstall-sbinPROGRAMS
  739. uninstall-man: uninstall-man5 uninstall-man8
  740. .MAKE: all install-am install-strip
  741. .PHONY: CTAGS GTAGS all all-am all-local am--refresh check check-am \
  742. clean clean-generic clean-local clean-sbinPROGRAMS ctags dist \
  743. dist-all dist-bzip2 dist-gzip dist-lzip dist-lzma dist-shar \
  744. dist-tarZ dist-xz dist-zip distcheck distclean \
  745. distclean-compile distclean-generic distclean-hdr \
  746. distclean-tags distcleancheck distdir distuninstallcheck dvi \
  747. dvi-am html html-am info info-am install install-am \
  748. install-data install-data-am install-dvi install-dvi-am \
  749. install-exec install-exec-am install-exec-local install-html \
  750. install-html-am install-info install-info-am install-man \
  751. install-man5 install-man8 install-pdf install-pdf-am \
  752. install-ps install-ps-am install-sbinPROGRAMS install-strip \
  753. installcheck installcheck-am installdirs maintainer-clean \
  754. maintainer-clean-generic mostlyclean mostlyclean-compile \
  755. mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
  756. uninstall-am uninstall-local uninstall-man uninstall-man5 \
  757. uninstall-man8 uninstall-sbinPROGRAMS
  758. @SET_MAKE@
  759. export LIBDIR=$(libdir)/pptpd
  760. all-local:
  761. for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d all; done
  762. install-exec-local:
  763. for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d prefix=$(prefix) DESTDIR=$(DESTDIR) install; done
  764. clean-local:
  765. for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d clean; done
  766. uninstall-local:
  767. for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d prefix=$(prefix) DESTDIR=$(DESTDIR) uninstall; done
  768. package: deb rpm
  769. deb:
  770. fakeroot dpkg-buildpackage -us -uc
  771. rpm:
  772. fakeroot rpmbuild -ta pptpd-$(VERSION).tar.gz
  773. bcrelay.o: bcrelay.c config.h defaults.h our_syslog.h our_getopt.h
  774. compat.o: compat.c config.h compat.h our_syslog.h inststr.h
  775. configfile.o: configfile.c config.h defaults.h configfile.h our_syslog.h
  776. ctrlpacket.o: ctrlpacket.c config.h our_syslog.h pptpdefs.h pptpctrl.h \
  777. ctrlpacket.h compat.h
  778. getopt.o: getopt.c config.h our_getopt.h
  779. getopt1.o: getopt1.c config.h our_getopt.h
  780. inststr.o: inststr.c config.h inststr.h compat.h
  781. ppphdlc.o: ppphdlc.c config.h ppphdlc.h
  782. pptpctrl.o: pptpctrl.c config.h our_syslog.h compat.h pptpctrl.h \
  783. pptpgre.h pptpdefs.h ctrlpacket.h defaults.h
  784. pptpd.o: pptpd.c config.h our_syslog.h our_getopt.h configfile.h \
  785. defaults.h compat.h pptpmanager.h
  786. pptpgre.o: pptpgre.c config.h our_syslog.h ppphdlc.h pptpgre.h pptpdefs.h \
  787. pptpctrl.h defaults.h pqueue.h compat.h
  788. pptpmanager.o: pptpmanager.c config.h our_syslog.h configfile.h \
  789. defaults.h pptpctrl.h pptpdefs.h pptpmanager.h compat.h
  790. pqueue.o: pqueue.c pqueue.h
  791. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  792. # Otherwise a system limit (for SysV at least) may be exceeded.
  793. .NOEXPORT: